#include <iostream>
#include <cstdio>
using namespace std;
int a[2000002],b[2000002];
int rez[2000002];
int main()
{
    int n,k,d=0;
    cin>>n>>k;
    for(int i=0;i<2*n+1;i++)
        b[i]=0;
    for(int i=0;i<n;i++)
    {
        scanf("%d",&a[i]);
        b[a[i]+n]++;
    }
  /*  for(int i=0;i<2*n+1;i++)
        cout<<b[i]<<" ";
    cout<<endl;*/
    for(int i=0;i<2*n+1;i++)
        if(b[i]>=k)
            rez[d++]=i-n;
    cout<<d<<endl;
    for(int i=0;i<d;i++)
        printf("%d ",rez[i]);
}